<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<axsl:stylesheet xmlns:axsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sch="http://www.ascc.net/xml/schematron" version="1.0">
   <axsl:template match="*|@*" mode="schematron-get-full-path">
      <axsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <axsl:text>/</axsl:text>
      <axsl:if test="count(. | ../@*) = count(../@*)">@</axsl:if>
      <axsl:value-of select="name()"/>
      <axsl:text>[</axsl:text>
      <axsl:value-of select="1+count(preceding-sibling::*[name()=name(current())])"/>
      <axsl:text>]</axsl:text>
   </axsl:template>
   <axsl:template match="/">
      <axsl:apply-templates select="/" mode="M3"/>
   </axsl:template>
   <axsl:template match="@amountCurrencyID" priority="3999" mode="M3">
      <axsl:choose>
         <axsl:when test=" . = 'AED' or . = 'AFN' or . = 'ALL' or . = 'AMD' or . = 'ANG' or . = 'AOA' or . = 'ARS' or . = 'AUD' or . = 'AWG' or . = 'AZM' or . = 'BAM' or . = 'BBD' or . = 'BDT' or . = 'BGN' or . = 'BHD' or . = 'BIF' or . = 'BMD' or . = 'BND' or . = 'BOB' or . = 'BRL' or . = 'BSD' or . = 'BTN' or . = 'BWP' or . = 'BYR' or . = 'BZD' or . = 'CAD' or . = 'CDF' or . = 'CHF' or . = 'CLP' or . = 'CNY' or . = 'COP' or . = 'CRC' or . = 'CUP' or . = 'CVE' or . = 'CYP' or . = 'CZK' or . = 'DJF' or . = 'DKK' or . = 'DOP' or . = 'DZD' or . = 'EEK' or . = 'EGP' or . = 'ERN' or . = 'ETB' or . = 'EUR' or . = 'FJD' or . = 'FKP' or . = 'GBP' or . = 'GEL' or . = 'GHC' or . = 'GIP' or . = 'GMD' or . = 'GNF' or . = 'GTQ' or . = 'GYD' or . = 'HKD' or . = 'HNL' or . = 'HRK' or . = 'HTG' or . = 'HUF' or . = 'IDR' or . = 'ILS' or . = 'INR' or . = 'IQD' or . = 'IRR' or . = 'ISK' or . = 'JMD' or . = 'JOD' or . = 'JPY' or . = 'KES' or . = 'KGS' or . = 'KHR' or . = 'KMF' or . = 'KPW' or . = 'KRW' or . = 'KWD' or . = 'KYD' or . = 'KZT' or . = 'LAK' or . = 'LBP' or . = 'LKR' or . = 'LRD' or . = 'LSL' or . = 'LTL' or . = 'LVL' or . = 'LYD' or . = 'MAD' or . = 'MDL' or . = 'MGF' or . = 'MKD' or . = 'MMK' or . = 'MNT' or . = 'MOP' or . = 'MRO' or . = 'MTL' or . = 'MUR' or . = 'MVR' or . = 'MWK' or . = 'MXN' or . = 'MYR' or . = 'MZM' or . = 'NAD' or . = 'NGN' or . = 'NIO' or . = 'NOK' or . = 'NPR' or . = 'NZD' or . = 'OMR' or . = 'PAB' or . = 'PEN' or . = 'PGK' or . = 'PHP' or . = 'PKR' or . = 'PLN' or . = 'PYG' or . = 'QAR' or . = 'ROL' or . = 'RUB' or . = 'RWF' or . = 'SAR' or . = 'SBD' or . = 'SCR' or . = 'SDD' or . = 'SEK' or . = 'SGD' or . = 'SHP' or . = 'SIT' or . = 'SKK' or . = 'SLL' or . = 'SOS' or . = 'SRG' or . = 'STD' or . = 'SVC' or . = 'SYP' or . = 'SZL' or . = 'THB' or . = 'TJS' or . = 'TMM' or . = 'TND' or . = 'TOP' or . = 'TRL' or . = 'TTD' or . = 'TWD' or . = 'TZS' or . = 'UAH' or . = 'UGX' or . = 'USD' or . = 'UYU' or . = 'UZS' or . = 'VEB' or . = 'VND' or . = 'VUV' or . = 'WST' or . = 'XAF' or . = 'XAG' or . = 'XAU' or . = 'XCD' or . = 'XDR' or . = 'XOF' or . = 'XPD' or . = 'XPF' or . = 'XPT' or . = 'YER' or . = 'YUM' or . = 'ZAR' or . = 'ZMK' or . = 'ZWD' "/>
         <axsl:otherwise>Currency value "<axsl:text xml:space="preserve"> </axsl:text><axsl:value-of select="."/><axsl:text xml:space="preserve"> </axsl:text>" not in list of acceptable values</axsl:otherwise>
      </axsl:choose>
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="text() | @*" priority="-1" mode="M3"/>
   <axsl:template match="*" priority="-1" mode="M3">
      <axsl:apply-templates select="@*|node()" mode="M3"/>
   </axsl:template>
   <axsl:template match="text() | @*" priority="-1"/>
</axsl:stylesheet>